Bug 586580 - (CVE-2010-0182) CVE-2010-0182 mozilla: XMLDocument::load() doesn't check nsIContentPolicy (MFSA 2010-24)
CVE-2010-0182 mozilla: XMLDocument::load() doesn't check nsIContentPolicy (MF...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100330,reported=20100330,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 18:03 EDT by Vincent Danen
Modified: 2013-04-12 14:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 14:16:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-04-27 18:03:23 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-0182 to
the following vulnerability:

The XMLDocument::load function in Mozilla Firefox before 3.5.9 and 3.6.x before 3.6.2, Thunderbird before 3.0.4, and SeaMonkey before 2.0.4 does not perform the expected nsIContentPolicy checks during loading of content by XML documents, which allows attackers to bypass intended access restrictions via crafted content.

References:

http://www.mozilla.org/security/announce/2010/mfsa2010-24.html
https://bugzilla.mozilla.org/show_bug.cgi?id=490790
http://www.securityfocus.com/bid/39479

This issue has been corrected upstream in Firefox 3.5.x and 3.6.x.  It has not yet been addressed in Firefox 3.0.x.
Comment 1 errata-xmlrpc 2010-06-22 18:01:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0500 https://rhn.redhat.com/errata/RHSA-2010-0500.html
Comment 2 errata-xmlrpc 2010-06-22 18:29:25 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0501 https://rhn.redhat.com/errata/RHSA-2010-0501.html
Comment 3 errata-xmlrpc 2010-06-25 11:32:53 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0501 https://rhn.redhat.com/errata/RHSA-2010-0501.html

Note You need to log in before you can comment on or make changes to this bug.